% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/SLOPE-package.R
\docType{package}
\name{SLOPE-package}
\alias{SLOPE-package}
\title{SLOPE: Sorted L1 Penalized Estimation}
\description{
\if{html}{\figure{logo.png}{options: style='float: right' alt='logo' width='120'}}

Efficient implementations for Sorted L-One Penalized Estimation (SLOPE): generalized linear models regularized with the sorted L1-norm (Bogdan et al. 2015). Supported models include ordinary least-squares regression, binomial regression, multinomial regression, and Poisson regression. Both dense and sparse predictor matrices are supported. In addition, the package features predictor screening rules that enable fast and efficient solutions to high-dimensional problems.
}
\seealso{
Useful links:
\itemize{
  \item \url{https://jolars.github.io/SLOPE/}
  \item \url{https://github.com/jolars/SLOPE}
  \item Report bugs at \url{https://github.com/jolars/SLOPE/issues}
}

}
\author{
\strong{Maintainer}: Johan Larsson \email{johanlarsson@outlook.com} (\href{https://orcid.org/0000-0002-4029-5945}{ORCID})

Authors:
\itemize{
  \item Jonas Wallin \email{jonas.wallin@stat.lu.se} (\href{https://orcid.org/0000-0003-0381-6593}{ORCID})
  \item Malgorzata Bogdan (\href{https://orcid.org/0000-0002-0657-4342}{ORCID})
  \item Ewout van den Berg
  \item Chiara Sabatti
  \item Emmanuel Candes
  \item Evan Patterson
  \item Weijie Su
  \item Jakub Kała
  \item Krystyna Grzesiak
  \item Mathurin Massias
  \item Quentin Klopfenstein
  \item Michal Burdukiewicz (\href{https://orcid.org/0000-0001-8926-582X}{ORCID})
}

Other contributors:
\itemize{
  \item Jerome Friedman (code adapted from 'glmnet') [contributor]
  \item Trevor Hastie (code adapted from 'glmnet') [contributor]
  \item Rob Tibshirani (code adapted from 'glmnet') [contributor]
  \item Balasubramanian Narasimhan (code adapted from 'glmnet') [contributor]
  \item Noah Simon (code adapted from 'glmnet') [contributor]
  \item Junyang Qian (code adapted from 'glmnet') [contributor]
}

}
\keyword{internal}
