% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cv.R
\name{createFolds}
\alias{createFolds}
\title{Create cross-validation folds}
\usage{
createFolds(n, n_folds, n_repeats = 1)
}
\arguments{
\item{n}{Integer. Number of observations to split into folds.}

\item{n_folds}{Integer. Number of folds to create.}

\item{n_repeats}{Integer. Number of times to repeat the cross-validation
process with different fold assignments. Default is 1.}
}
\value{
A list of length \code{n_repeats}. Each element contains a list of
\code{n_folds} integer vectors representing the indices (0-based)
of observations in each fold.
}
\description{
Internal function that creates fold assignments for k-fold cross-validation,
with support for repeated cross-validation.
}
\keyword{internal}
